morse = [".-", "-...", "-.-.", "-..", ".", "..-.", "--.", "....", "..", ".---", "-.-", ".-..", "--", "-.", "---",
         ".--.", "--.-", ".-.", "...", "-", "..-", "...-", ".--", "-..-", "-.--", "--.."]

morse_dict = {chr(i + 97): morse[i] for i in range(0, len(morse))}


def uniqueMorseRepresentations(words):
    unique = set()
    for word in words:
        unique.add(toMorseCode(word))
    return len(unique)


def toMorseCode(word):
    morse_code = ""
    for char in word:
        morse_code += morse_dict.get(char)
    return morse_code


check_words = ["gin", "zen", "gig", "msg"]
print(uniqueMorseRepresentations(check_words))
